/**************************************/
/********** TEMPLATE MODULES **********/
/**************************************/

.template-module {
	margin: 50px 0;
    position: relative;
    font-size: 0;
}

.template-module .row {
    margin: -10px;
}
.template-module .row > div {
    padding: 10px;
}

.template-module:first-child {
	margin-top: 0;
}
.template-module:last-child {
	margin-bottom: 0;
}

.template-module a {
    display: inline-block;
    overflow: hidden;
}
.template-module img {
	display: block;
	margin: 0 auto;
	transition: all 0.4s ease;
}
.template-module a:hover img {
	transform: scale(1.05);
}


@media(min-width: 992px) {
	.template-module {
		margin: 0 0 100px 0;
    }
}


/*****************************/
/********** SIDEBAR **********/
/*****************************/
 
.content .template.has-sidebar .sidebar {
    margin: 0 -20px;
    width: calc(100% + 40px);
    padding: 40px 20px;
	background-color: #eeeeee;
}
.content.blog .template.has-sidebar .sidebar {
    margin-top: 40px;
}
.content .template.has-sidebar .sidebar.white {
	background-color: white;
}

/********** BLOG LISTING SIDEBAR **********/

.content.blog .template .sidebar .form {
    margin-bottom: 40px;
}

.content.blog .template .sidebar .form input {
	font-size: .875rem;
	padding: 16px 20px;
	padding-right: 53px;
	border: none;
	background-color: white;
}

.content.blog .template .sidebar .form [submit] {
	position: absolute;
	width: 53px;
	height: 53px;
	top: 0;right: 0;
}
.content.blog .template .sidebar .form [submit]::before {
	content: "";
	width: 15px;
	height: 15px;
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
	margin: auto;
	background-image: url(/assets/images/lupe.svg)
}

.content.blog .template .sidebar .h4 {
	color: var(--black);
}

.content.blog .template .sidebar ul {
    padding: 0;
    margin: 1em 0 2em;
    display: flex;
    flex-wrap: wrap;
}
.content.blog .template .sidebar ul:last-child {
	margin-bottom: 0;
}
.content.blog .template .sidebar ul li {
    flex-basis: 50%;
	max-width: 50%;
	font-size: .875rem;
	padding: 3px 0;
}
.content.blog .template .sidebar ul li::before {
	content: normal;
}

.content.blog .template .sidebar ul li a {
	border-bottom: 1px solid transparent;
}
.content.blog .template .sidebar ul li a:hover, .content.blog .template .sidebar ul li a:focus {
	border-bottom: 1px solid currentColor;
}


@media(min-width: 768px) {
	.content .template.has-sidebar .sidebar {
        margin: 0;
        width: 275px;
	    padding: 45px 30px;
	}

	.content.blog .template .sidebar .form {
        margin-bottom: 45px;
	}
	
	.content.blog .template .sidebar ul {
        margin: 0;
        margin-bottom: 3em;
        display: block;
	}
	.content.blog .template .sidebar ul li {
		max-width: none;
	}
}

/**************************************/
/********** MODULE 1: SLIDER **********/
/**************************************/

.template-module .slider-wrapper {
    position: relative;
}

.template-module .slider:not(.slick-slider) {
    display: flex;
    overflow: hidden;
}
.template-module .slider:not(.slick-slider) > .slide {
    flex-basis: 100%;
    min-width: 100%;
}

.template-module .slider .slide {
	position: relative;
}

.template-module .slider .image {
	position: relative;
	padding-top: 61.42%;
	background-color: white;
}
.template-module .slider .image img {
	position: absolute;
	top: 0;bottom:0;
	left: 0;right: 0;
	width: 100%;
	height: 100%;
}

.template-module .slider .legend {
    padding: 10px 40px;
	text-align: center;
	position: relative;
    background-color: white;
    pointer-events: none;
}
.template-module .slider .legend p {
    text-align: center;
    margin: .25em 0;
}


.template-module .slider-arrows {
	position: absolute;
    top: 0;bottom: 0;
    left: 0;right: 0;
    padding-top: 61.42%;
    display: flex;
	align-items: center;
	pointer-events: none;
}

.template-module .slider-arrows > div {
	cursor: pointer;
    position: relative;
    width: 25px;
	height: 11px;
	font-size: 0;
	pointer-events: auto;
}
.template-module .slider-arrows > div::before {
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
    background-image: url(/assets/images/arrow-grey.svg);
    background-repeat: no-repeat;
}

.template-module .slider-arrows > div.prev {
	margin-right: auto;
	margin-left: 10px;
    transform: rotate(180deg);
}
.template-module .slider-arrows > div.next {
	margin-left: auto;
	margin-right: 10px;
}


@media(min-width: 992px) {
	.template-module .slider .legend {
		padding: 20px 80px;
	}
	
	.template-module .slider-arrows > div {
		width: 40px;
	    height: 18px;
	}
	.template-module .slider-arrows > div.prev {
		margin-left: 30px;
	}
	.template-module .slider-arrows > div.next {
		margin-right: 30px;
	}
}


/***********************************************/
/********** MODULE 1: SLIDER (NO BAR) **********/
/***********************************************/

.template-module .slider-wrapper.no-bar .slider .legend {
    position: absolute;
    top: 0;bottom: 0;
    left: 0;right: 0;
    background: linear-gradient(to top, rgba(0,0,0,.4) 0%, transparent 100%);
    display: flex;
    align-items: flex-end;
    justify-content: center;
    z-index: 1;
}
.template-module .slider-wrapper.no-bar .slider .legend p {
	color: white;
	font-family: 'Oswald';
}
@media screen and (min-width: 1200px) {
	.template-module .slider-wrapper.no-bar .slider .legend p {
		font-size: 24px;
	}
}
.template-module .slider-wrapper.no-bar .slider .video + .legend {
    background: transparent;
}


.template-module .slider-wrapper.no-bar .slider-arrows {
    padding-top: 0;
}

.template-module .slider-wrapper.no-bar .slider-arrows > div::before {
    background-image: url(/assets/images/arrow-white.svg);
}


/**************************************************/
/********** MODULE 1: SLIDER THUMBNAILS  **********/
/**************************************************/

.template-module .thumbnail-wrapper {
	position: relative;
	margin-top: 20px;
    padding: 0 40px;
}

.template-module .thumbnail-slider {
	margin: 0 -10px;
}
.template-module .thumbnail-slider:not(.slick-slider) {
	display: flex;
	justify-content: flex-start;
	overflow: hidden;
}
.template-module .thumbnail-slider:not(.slick-slider) > div {
    flex-basis: 50%;
    min-width: 50%;
}

.template-module .thumbnail-slider .slide {
	padding: 0 10px;
	cursor: pointer;
}

.template-module .thumbnail-slider .slide > div {
	padding: 6px;
	border: 1px solid transparent;
	transition: all .2s ease-in-out;
}
.template-module .thumbnail-slider .image {
	position: relative;
    padding-top: 61.42%;
	background-position: center;
	background-size: cover;
}
.template-module .thumbnail-slider .slide.active > div, .template-module .thumbnail-slider .slide:hover > div {
	border: 1px solid rgb(var(--primary));
}


.template-module .thumbnail-slider-arrows {
	position: absolute;
	top: 50%;left: 0;
	transform: translateY(-50%);
    width: 100%;
    display: flex;
    pointer-events: none;
}
.template-module .thumbnail-slider-arrows > div {
    position: relative;
	cursor: pointer;
    margin: auto;
    width: 25px;
    height: 11px;
    font-size: 0;
    pointer-events: auto;
}
.template-module .thumbnail-slider-arrows > div.slick-disabled {
	opacity: .1;
	pointer-events: none;
}

.template-module .thumbnail-slider-arrows > div.prev {
    margin-left: 0;
    transform: rotate(180deg);
}
.template-module .thumbnail-slider-arrows > div.next {
    margin-right: 0;
}
.template-module .thumbnail-slider-arrows > div::before {
    content: "";
	position: absolute;
	width: 100%;
	height: 100%;
    background-image: url(/assets/images/arrow-black.svg);
    background-repeat: no-repeat;
}


@media(min-width: 768px) {
    .template-module .thumbnail-wrapper {
		padding: 0 65px;
	}

    .template-module .thumbnail-slider:not(.slick-slider) > div {
        flex-basis: 25%;
        min-width: 25%;
    }

	.template-module .thumbnail-slider-arrows > div {
		width: 40px;
	    height: 18px;
	}
}


/**************************************************/
/********** MODULE 1: FULL WIDTH GALLERY **********/
/**************************************************/

.template-module .gallery {
	position: relative;
}
.template-module .gallery-fullscreen {
    display: none;
	position: fixed;
    top: 0;bottom: 0;
    left: 0;right: 0;
    z-index: 10;
    background: rgba(32, 32, 32, .9);
	padding: 100px;
	opacity: 0;
	pointer-events: none;
	transition: var(--transition);
}
.template-module .gallery-fullscreen.visible {
	opacity: 1;
	pointer-events: auto;
}

.template-module .gallery-track {
    padding-top: 61.42%;
	max-height: 800px;
	position: relative;
	height: auto;
	overflow-x: auto;
    overflow-y: hidden;
    margin-top: 30px;
}
.template-module .gallery-fullscreen .gallery-track {
	height: 100%;
	padding: 0;
	max-height: none;
}
.template-module .gallery-track::-webkit-scrollbar-track {
	background-color: var(--white);
}
.template-module .gallery-track::-webkit-scrollbar {
    height: 22px;
	background-color: var(--white);
}
.template-module .gallery-fullscreen .gallery-track::-webkit-scrollbar {
	height: 0;
}
.template-module .gallery-track::-webkit-scrollbar-thumb {
    background-color: var(--black);
    border: 10px solid var(--white);
}

.template-module .gallery-track .gallery-list {
	position: absolute;
	top: 0;left: 0;
	display: flex;
	flex-wrap: nowrap;
	height: 100%;
}
.template-module .gallery-fullscreen .gallery-track .gallery-list {
	position: relative;
}

.template-module .gallery-slide {
	height: 100%;
	top: 0;
	overflow: hidden;
}
.template-module .gallery-fullscreen .gallery-slide {
	max-height: 100%;
	min-width: 100%;
	height: auto;
	display: flex;
	align-items: center;
}

.template-module .gallery-track .gallery-slide img {
	max-height: 100%;
	cursor: pointer;
	transition: var(--transition);
	will-change: transform;
}
.template-module .gallery-fullscreen .gallery-track .gallery-slide img {
	max-width: 100%;
	display: block;
	margin: auto;
	cursor: default;
}
.template-module .gallery > .gallery-track .gallery-slide img:hover {
	transform: scale(1.025);
}

.template-module .gallery-arrows {
	position: absolute;
	top: 0;left: 0;
	right: 0;bottom: 42px;
	pointer-events: none;
}
.template-module .gallery-arrows a {
    position: absolute;
    width: 25px;
	height: 47px;
	top: 0;bottom: 0;
	right: 20px;
	margin: auto;
	background-image: url(/assets/images/caret-slim-white.svg);
	background-size: contain;
	background-repeat: no-repeat;
	pointer-events: auto;
}
.template-module .gallery-arrows a:first-of-type {
	left: 20px;
	right: auto;
	transform: rotate(180deg);
}

.template-module .gallery.disabled .gallery-arrows a {
	opacity: 0;
	pointer-events :none;
}

.template-module .gallery-fullscreen .close {
	position: absolute;
	top: 35px;
	right: 35px;
	height: 25px;
	width: 25px;
	opacity: 1;
}
.template-module .gallery-fullscreen .close::before,
.template-module .gallery-fullscreen .close::after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	height: 2px;
	width: 35px;
	background-color: white;
	transform: rotate(45deg);
	transform-origin: left
}
.template-module .gallery-fullscreen .close::after {
	left: auto;right: 0;
	transform: rotate(-45deg);
	transform-origin: right;
}


@media(min-width: 768px) {
    .template-module .gallery-track::-webkit-scrollbar {
        height: 42px;
    }
	.template-module .gallery-track::-webkit-scrollbar-thumb {
		border-width: 20px;
	}
	
	.template-module .gallery-arrows a {
		width: 32px;
	    height: 62px;
		right: 50px;
	}
	.template-module .gallery-arrows a:first-of-type {
		left: 50px;
	}
}

@media(min-width: 992px) {
	.template-module .gallery-fullscreen {
		display: block;
	}
	
	.template-module .gallery-track {
		padding-top: 35.7142%;
	}
}


/**************************************************/
/********** MODULE 2 & 3: TEXT AND IMAGE **********/
/**************************************************/

.template-module.module2.wrap > *:nth-child(2),
.template-module.module3.wrap > *:nth-child(2) {
	margin-top: 0;
}

.template-module.module2.wrap img,
.template-module.module3.wrap img {
    max-width: 100%;
    padding: 0 0 15px 0;
}


@media(min-width: 768px) {
    .template-module.module2.wrap img,
    .template-module.module3.wrap img {
        max-width: calc(50% + 45px);
    }

	.template-module.module2.wrap img {
        padding: 0 0 0 55px;
        float: right;
    }
    .template-module.module3.wrap img {
        padding: 0 45px 0 0;
        float: left;
	}
	.template-module.img-padding.wrap img {
		padding-bottom: 45px;
	}
}


.template-module.module2 .row > div:first-child {
    padding-right: 15px;
}
.template-module.module3 .row > div:last-child {
    padding-left: 15px;
}


@media(min-width: 768px) {
	.template-module.module2 .row > div:first-child {
        padding-right: 45px;
    }
    .template-module.module3 .row > div:last-child {
        padding-left: 45px;
    }
}


/**********************************************************/
/********** MODULE 4, 5, 6 & 7: IMAGE AND LEGEND **********/
/**********************************************************/

.template-module.module4 p,
.template-module.module5 p,
.template-module.module6 p,
.template-module.module7 p {
    margin-left: auto;
    margin-right: auto;
    padding: 0 20px 0;
}

@media(min-width: 768px) {
	.template-module.module4 p,
    .template-module.module5 p,
    .template-module.module6 p,
    .template-module.module7 p {
        width: 75%;
        padding: 0 10px 0;
    }
}


/**************************************************/
/********** MODULE 10 & 11: TEXT COLUMNS **********/
/**************************************************/

.template-module.module10 .row,
.template-module.module11 .row {
	display: flex;
	margin: -10px -25px;
}

.template-module.module10 .row > div,
.template-module.module11 .row > div {
    flex: 0 0 100%;
	max-width: 100% !important;
	float: none !important;
    padding: 10px 25px;
    width: auto !important;
}


@media(min-width: 768px) {
    .template-module.module10 .row > div {
        flex: 0 0 50%;
        max-width: 50% !important;
    }
    .template-module.module11 .row > div {
        flex: 0 0 33.333%;
        max-width: 33.333% !important;
    }
}


/******************************************************************/
/********** MODULE 12: VIDEO & MODULE 1: SLIDER w/ video **********/
/******************************************************************/

.template-module .video {
	position: relative;
}
.template-module .video::before {
    content: "";
    position: absolute;
    top: 0;bottom: 0;
    left: 0;right: 0;
    background-color: rgba(0, 0, 0, .25);
    z-index: 1;
}

.template-module .video iframe {
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
	width: 100%;
	height: 100%;
    border: 0;
    opacity: 0;
    pointer-events: none;
    z-index: 2;
}

.template-module .video a {
	transition: all 0.4s ease;
	cursor: pointer;
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
    margin: auto;
    width: 50px;
	height: 50px;
	border: 2px solid white;
	border-radius: 100%;
    opacity: .75;
    z-index: 1;
}
.template-module .video a:hover {
	opacity: 1;
}
.template-module .video a:before {
	content: "";
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
	margin: auto;
	background-image: url(/assets/images/play-white.svg)
}

.template-module .video + p.text-center {
    position: absolute;
    bottom: 0;
    left: 40px;right: 40px;
    margin: 1em auto;
    color: white;
    z-index: 1;
}


@media(min-width: 768px) {
	.template-module .video a {
		width: 70px;
        height: 70px;
        border-width: 4px;
	}
}

@media(min-width: 992px) {
	.template-module .video a {
		width: 90px;
	    height: 90px;
	}
}


/***********************************************/
/********** MODULE 19: CALL TO ACTION **********/
/***********************************************/

.template-module .cta {
    display: flex;
    position: relative;
    width: 100%;
    padding: 20px;
    background-color: rgb(var(--primary));
}
.template-module .cta::before {
    content: "";
    position: absolute;
    top: auto;bottom: 20px;
    right: 20px;
    width: 52px;
    height: 24px;
    margin: auto;
    background-image: url(/assets/images/arrow-white.svg);
    background-size: contain;
    background-repeat: no-repeat;
    transition: inherit;
    will-change: transform;
}
.template-module .cta:hover::before {
    transform: translateX(5px);
}

.template-module .cta h3,
.template-module .cta .h3 {
    font-weight: 300;
    color: white;
    line-height: 1.4;
    padding-bottom: 45px;
}


@media(min-width: 768px) {
    .template-module .cta {
        padding: 25px 30px;
    }
    .template-module .cta::before {
        top: 0;bottom: 0;
        right: 30px;
    }

    .template-module .cta .h3 {
        padding: 0;
        padding-right: 100px;
    }
}

@media(min-width: 992px) {
    .template-module .cta {
        padding: 28px 40px;
    }
    .template-module .cta::before {
        right: 40px;
    }

    .template-module .cta .h3 {
        padding-right: 130px;
    }
}

/*********************************************/
/********** CALENDAR (FullCalendar) **********/
/*********************************************/

#calendar {
	font-family: var(--font-family1);
	width: 230px;
	max-width: 100%;
	margin: 0 auto;
}

#calendar .fc-left,
#calendar .fc-right {
    float: none;
    position: relative;
}
#calendar .fc-right {
    order: 1;
}

#calendar .fc-center {
    flex: 1;
    display: flex;
}
#calendar .fc-bg td.fc-other-month {
    background: rgba(89, 202, 184, 0.1);
}
#calendar .fc-bg td {
    background: white;
}
#calendar .fc-day-top.fc-other-month {
    opacity: 0.5;
}
#calendar .fc-center h2,
#calendar .fc-center select {
    color: var(--primary);
    background: white;
	font-size: 14px;
	font-weight: 500;
	letter-spacing: -.04em;
	text-transform: uppercase;
    margin: 0;
    text-align: center;
    width: 100%;
}
#calendar .fc-center .select-wrapper {
    flex: 1;
    margin: 0 5px;
    background-color: var(--white);
    position: relative;
}
#calendar .fc-center .select-wrapper::before {
    content: "";
    width: 6px;
    height: 9px;
    background-image: url(/assets/images/icons/caret-color.svg);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;bottom: 0;
	right: 10px;
    margin: auto;
	pointer-events: none;
	transform: rotate(90deg);
}
#calendar .fc-center select {
    appearance: none;
    -webkit-appearance: none;
    padding: 10px;
	border-radius: 0;
	text-transform: none;
}

#calendar .fc-toolbar {
	position: relative;
	font-size: 0;
    margin-bottom: 30px;
    display: flex;
    align-items: center;
}
#calendar .fc-toolbar button {
	background: transparent;
	box-shadow: none;
	border: none;
	border-radius: 0;
	padding: 5px;
	width: 30px;
    height: 19px;
}
#calendar .fc-toolbar button span {
	position: static;
	margin: 0;
	background-image: url(/site/images/calendar-arrow.svg);
	background-repeat: no-repeat;
	height: 100%;
	width: 100%;
}
#calendar .fc-toolbar button span::after {
	display: none;
}
#calendar .fc-toolbar .fc-left button {
	left: -4px;
	transform: rotate(180deg);
}
#calendar .fc-toolbar .fc-right button {
	right: -4px;
}

#calendar * {
	border: none !important;
}
#calendar td {
	width: auto;
	padding: 0;
	text-align: center;
	display: table-cell;
}
.fc-content-skeleton td {
	padding-top: 5px;
}
#calendar span {
	font-size: 12px;
	font-weight: bold;
	color: var(--primary);
	margin-bottom: 0;
	margin-top: 6px;
	float: none;
}
#calendar .fc-title {
	display: none;
}

#calendar .fc-event {
	display: block;
	background-color: var(--primary);
	border: none;
	border-radius: 10px;
	margin: 0 10px;
	margin-top: 5px;
	height: 12px;
	min-width: 12px;
	padding: 0;
}

#calendar .fc-head span {
	font-size: 12px;
	font-weight: bold;
	margin: 0;
	margin-bottom: 6px;
	color: var(--gold);
}
#calendar .fc-row {
	border-bottom: 1px solid #f5e8bc !important;
}
#calendar .fc-body .fc-row {
	min-height: 3em;
}
#calendar .fc-bg table tr td {
	border-right: 1px solid #f5e8bc !important;
}
#calendar .fc-bg table tr td.fc-today {
	background: rgba(var(--primary),.2)
}
#calendar .fc-bg table tr td:last-of-type {
	border-right: none !important;
}

/* Custom class for event details */
#calendar .fc-event-details {
	display: block;
	padding: 20px 15px;
	margin-top: 20px;
	background-color: var(--primary);
	text-decoration: none;
	position: relative;
}
#calendar .fc-event-details::before {
	content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, .15);
    opacity: 0;
    transition: var(--transition);
    -webkit-transition: var(--transition);
}
#calendar .fc-event-details:hover::before {
	opacity: 1;
}

#calendar .fc-event-details > * {
	position: relative;
    z-index: 1;
    font-family: 'Montserrat';
}

#calendar .fc-event-details p {
	color: white;
	font-size: 12px;
	font-weight: bold;
	text-transform: uppercase;
	margin-bottom: 5px;
}
#calendar .fc-event-details span {
	display: block;
	color: var(--black);
	font-size: 14px;
	font-weight: 400;
	color: white;
	line-height: 1.3;
}

.template-module .video + p.text-center {
    position: absolute;
    bottom: 0;
    left: 40px;
    right: 40px;
    margin: 1em auto;
    color: white;
    z-index: 1;
}